Axiomatic
Ledger

Events

Business events that drive the posting engine

GET
/api/events

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Query Parameters

entityId?string
Formatuuid
page?integer
Default1
pageSize?integer
Default20
status?string

Filter by posting status

Value in

  • "posted"
  • "pending_approval"
  • "reversed"
  • "failed"
  • "unposted"
action?"statusCounts"

Set to statusCounts to get aggregate status counts instead of events.

Value in

  • "statusCounts"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/events"
{  "events": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",      "type": "string",      "timestamp": "2019-08-24T14:15:22Z",      "payload": {},      "source": "string",      "correlationId": "string",      "idempotencyKey": "string",      "schemaVersion": "string",      "metadata": {},      "postingStatus": "posted",      "postingError": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "page": 0,  "pageSize": 0}
{  "error": "string"}
POST
/api/events

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/events" \  -H "Content-Type: application/json" \  -d '{    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",    "type": "invoice_created"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",  "type": "string",  "timestamp": "2019-08-24T14:15:22Z",  "payload": {},  "source": "string",  "correlationId": "string",  "idempotencyKey": "string",  "schemaVersion": "string",  "metadata": {},  "postingStatus": "posted",  "postingError": "string",  "createdAt": "2019-08-24T14:15:22Z"}
{  "error": "string"}
{  "error": "string"}
POST
/api/events/batch-reclassify

Authorization

bearerAuth
AuthorizationBearer <token>

Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/events/batch-reclassify" \  -H "Content-Type: application/json" \  -d '{    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",    "eventIds": [      "e850fa5b-aba1-4239-8c42-22b92a305f16"    ],    "newEventType": "string"  }'
{  "summary": {    "total": 0,    "succeeded": 0,    "failed": 0  },  "results": [    {      "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",      "success": true,      "message": "string",      "newEventId": "2fe9ee8c-7f97-4a2d-a236-2e235fd2434a"    }  ]}
{  "error": "string"}
{  "error": "string"}